Get resolution link | Moov Documentation

Get resolution link

Get a resolution link by code.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.read scope.

Request

GET

/accounts/{accountID}/resolution-links/{resolutionLinkCode}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/resolution-links/{resolutionLinkCode}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask (JavaScript)

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.resolutionLinks.get({
    accountID: "<id>",
    resolutionLinkCode: "<value>",
  });

console.log(result);
}

run();

Ask (PHP)

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->resolutionLinks->get(
    accountID: '<id>',
    resolutionLinkCode: '<value>'
);

if ($response->resolutionLink !== null) {
    // handle response
}

Ask (Java)

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetResolutionLinkResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetResolutionLinkResponse res = sdk.resolutionLinks().get()
                .accountID("<id>")
                .resolutionLinkCode("<value>")
                .call();

if (res.resolutionLink().isPresent()) {
            System.out.println(res.resolutionLink().get());
        }
    }
}

Ask (Python)

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.resolution_links.get(account_id="<id>", resolution_link_code="<value>")

# Handle response
    print(res)

Ask (Ruby)

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.resolution_links.get(account_id: '<id>', resolution_link_code: '<value>')

unless res.resolution_link.nil?
  # handle response
end

Ask (C#)

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.ResolutionLinks.GetAsync(
    accountID: "<id>",
    resolutionLinkCode: "<value>"
);

// handle response

Example

{
  "accountID": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "code": "bwebMOhZ85",
  "createdOn": "2026-07-01T12:00:00Z",
  "expiresOn": "2026-07-08T12:00:00Z",
  "partnerAccountID": "0d8e0d6e-e4a2-4f1b-8c3d-1b9e0f5a7c2d",
  "recipient": "15555555555",
  "status": "active",
  "updatedOn": "2026-07-01T12:00:00Z",
  "url": "https://moov.link/r/bwebMOhZ85"
}

Response headers

A unique identifier used to trace requests.

Responses

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.